package refit.agreement.weave;

import refit.replica.order.REFITOrderProtocolData;
import refit.replica.order.REFITOrderProtocolTransitionInstance;
import refit.replica.order.REFITOrderStageSlot;

public class REFITWeaveTransition {

	public static class REFITWeaveTransitionProtocolInstance extends REFITOrderProtocolTransitionInstance {

		public REFITWeaveTransitionProtocolInstance(REFITOrderStageSlot slot) {
			super(slot);
		}

		@Override
		public String toString() {
			return "VWCH[" + instanceID + "-" + viewID + "]";
		}

		// ######################
		// # LIFE-CYCLE METHODS #
		// ######################

		@Override
		public void updateProtocolData(REFITOrderProtocolData data) {
			throw new UnsupportedOperationException("Not implemented");
		}

		@Override
		public void updateView(int newViewID) {
			if (newViewID <= viewID) {
				throw new InternalError("View must increase! at " + viewID + " got " + newViewID);
			}
			throw new UnsupportedOperationException("Not implemented");
		}

		@Override
		public void execute() {
			// Intersection with each commit and checkpoint quorum required
//			short VIEW_CHANGE_QUORUM_SIZE = (short) (TOTAL_NR_OF_REPLICAS - FAULTS_TO_TOLERATE);
		}
	}
}
