package refit.replica.multichannel;

import refit.message.REFITInstruction;
import refit.replica.REFITBaseReplica;
import refit.replica.REFITBoundedStage;
import refit.replica.REFITObserver;
import refit.scheduler.REFITSchedulerTaskType;

public abstract class REFITAbstractChannelSender extends REFITBoundedStage {

	public REFITObserver<REFITInstruction.REFITChannelProgress> progressSender;

	public REFITAbstractChannelSender(REFITSchedulerTaskType taskType, REFITBaseReplica replica) {
		super(taskType, replica);
	}

	public abstract void setGroupActive(int groupIdx, boolean isActive);
}
