package refit.replica.update;

import java.nio.ByteBuffer;

import refit.message.REFITMessage;
import refit.message.REFITMessageType;
import refit.message.REFITUniqueID;

public abstract class REFITUpdateMessage extends REFITMessage {
	public REFITUpdateMessage(REFITMessageType type, REFITUniqueID uid, short from) {
		super(type, uid, from);
	}

	public REFITUpdateMessage(REFITMessageType expectedType, ByteBuffer buffer) {
		super(expectedType, buffer);
	}

	public abstract byte[] getPayloadHash();

	public abstract boolean isFullUpdate();

	public abstract REFITUpdateMessage toHashedUpdate();

	public abstract long agreementSeqNr();
}
